Subject: /bin/sh corrupting from gnu's configure script???

From: Andrew Cagney <[email-masked]>

Hi,

I'm trying to run the `configure' script found in gdb-4.13 on a
NetBSD.i386 beta from the `Mon Aug  1' snap shot.  I am finding,
however, that the output from an echo statement contains garbage. 
Adding shell statements around the offending echo `fixes' the problem. 
This, to me, suggests that /bin/sh is corrupting an internal data
structure.

Before I spend several more `days' trying to prune down the configure
shell script (it's now < 400 lines :-) and may be find the bug, I'd like
to know if there have been any recent (to 1st Aug) changes to /bin/sh
that fixed corruption problems.

First /bin/csh and now /bin/sh, we live in a corrupting world :^)  Sigh.

					thanks Andrew

PS:	If your interested in more details, let me know.  I could mail you a
copy both of the shell script and the corrupt output.